<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HackingFormulas](./bitburner.hackingformulas.md) &gt; [hackPercent](./bitburner.hackingformulas.hackpercent.md)

## HackingFormulas.hackPercent() method

Calculate hack percent for one thread.

<b>Signature:</b>

```typescript
hackPercent(server: Server, player: Player): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  server | [Server](./bitburner.server.md) | Server info from [getServer](./bitburner.ns.getserver.md) |
|  player | [Player](./bitburner.player.md) | Player info from [getPlayer](./bitburner.ns.getplayer.md) |

<b>Returns:</b>

number

The calculated hack percent.

## Remarks

Multiply by thread to get total percent hacked.

